package org.springblade.third.iotdevice.constants;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author zwx
 * @create 2020/11/8 18:11
 */
@Getter
@AllArgsConstructor
public enum PepIotReturnCode {

    OK(200, "请求成功"),
    BAD_REQUEST(400, "无效请求"),
    UNAUTHORIZED(401, "未认证"),
    FORBIDDEN(403, "禁止访问"),
    EXCEPTION(500, "访问异常");

    /**
     * 编码
     */
    private Integer code;

    /**
     * 描述
     */
    private String describe;

    @Override
    public String toString() {
        return this.code + " " + this.describe;
    }}
